#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{
	int j, k; 
	bool a[10][10]; 
	double p, RV; 
	
	srand((unsigned int)time(NULL)); 
	
	// 2頂点間をつなぐ確率
	p = 0.5; 
	
	// 隣接行列の成分を設定
	for (j = 0; j < 10; j++)
	{
		for (k = j; k < 10; k++)
		{
			RV = (double)rand()/(double)(RAND_MAX + 1); 
			
			if (RV<p)
			{
				a[j][k] = 1; 
				a[k][j] = 1; 
			}
			else
			{
				a[j][k] = 0; 
				a[k][j] = 0; 
			}
			
		}
	}
	
	for (j = 0; j < 10; j++)
	{
		for (k = j; k < 10; k++)
		{
			if (a[j][k] == 1)  printf("頂点V%dと頂点V%d：つながっている\n", j, k); 
			else               printf("頂点V%dと頂点V%d：つながっていない\n", j, k); 
		}
	}
	
	return 0; 
}